/*
  Name: Sound.h
  Copyright: Polecatsoft 2005
  Game: Mercenary Soldier
  Author: Master Lenman
  Date: -
  Description: This class provides a high level API for
	  loading and playing sounds of different formats
*/


#ifndef SOUND_CLASS
#define SOUND_CLASS

#include <allegro.h>
#include <string>

class Sound
{
private:
	int active;

	SAMPLE *sample;
	MIDI *midi;

	int loop;
	int vol;
	int pan;
	int freq;
public:
	Sound();
	Sound(std::string filename);
	~Sound();
	bool load(std::string filename);
	void play(int loop = 0, int vol = 255, int pan = 127, int freq = 1000);
	void stop();
	void destroy();
	int isActive();
};

#endif
